# StarterAttributes | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface StarterAttributes

interface StarterAttributes {
ability ?: number;
favorite ?: boolean;
female ?: boolean;
form ?: number;
nature ?: number;
nickname ?: string;
shiny ?: boolean;
tera ?: PokemonType ;
variant ?: number;
}

- Defined in src/system/game-data.ts:215

##### Index

### Properties

ability?
favorite?
female?
form?
nature?
nickname?
shiny?
tera?
variant?

## Properties

### `Optional` ability

ability?: number

- Defined in src/system/game-data.ts:217

### `Optional` favorite

favorite?: boolean

- Defined in src/system/game-data.ts:222

### `Optional` female

female?: boolean

- Defined in src/system/game-data.ts:220

### `Optional` form

form?: number

- Defined in src/system/game-data.ts:219

### `Optional` nature

nature?: number

- Defined in src/system/game-data.ts:216

### `Optional` nickname

nickname?: string

- Defined in src/system/game-data.ts:223

### `Optional` shiny

shiny?: boolean

- Defined in src/system/game-data.ts:221

### `Optional` tera

tera?: PokemonType

- Defined in src/system/game-data.ts:224

### `Optional` variant

variant?: number

- Defined in src/system/game-data.ts:218